ru.bitel.bgbilling.modules.tv.runtime

## Class TvAccountSpecRuntimeMap

- java.lang.Object
- - ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory<TvAccountSpec,TvAccountSpecRuntime>
  - - ru.bitel.bgbilling.modules.tv.runtime.TvAccountSpecRuntimeMap

-     public class TvAccountSpecRuntimeMap
      extends ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory<TvAccountSpec,TvAccountSpecRuntime>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TvAccountSpecRuntimeMap(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TvAccountSpecRuntimeMap` | `getInstance(ConnectionSet connectionSet, int moduleId)`
    `protected TvAccountSpecRuntime` | `newValue(TvAccountSpec value)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory

      `get, getRef, init, list, newValue, onUpdate, onUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TvAccountSpecRuntimeMap

          public TvAccountSpecRuntimeMap(java.sql.Connection con,
                                         int moduleId)
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

  - ### Method Detail

    - #### getInstance

          public static TvAccountSpecRuntimeMap getInstance(ConnectionSet connectionSet,
                                                            int moduleId)
                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### newValue

          protected TvAccountSpecRuntime newValue(TvAccountSpec value)

      Specified by:
        `newValue` in class `ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory<TvAccountSpec,TvAccountSpecRuntime>`